Package Details: sway-git r5942.3f77591b-1

Git Clone URL: https://aur.archlinux.org/sway-git.git (read-only, click to copy)
Package Base: sway-git
Description: i3-compatible Wayland compositor
Upstream URL: https://swaywm.org
Keywords: wayland
Licenses: MIT
Conflicts: sway
Provides: sway
Submitter: SirCmpwn
Maintainer: SirCmpwn
Last Packager: SirCmpwn
Votes: 128
Popularity: 0.56
First Submitted: 2015-08-16 14:05
Last Updated: 2020-01-24 13:47

Required by (17)

Sources (1)

Pinned Comments

SirCmpwn commented on 2019-01-17 00:45

Update wlroots-git.

Latest Comments

« First ‹ Previous ... 4 5 6 7 8 9

SirCmpwn commented on 2015-12-07 17:07

Regarding the out of date flag on this package - not sure what's up with that. It's up to date.

1ace commented on 2015-08-20 19:59

Thanks for the clarification :)

SirCmpwn commented on 2015-08-19 22:59

xwayland is necessary for using any xorg applications from within sway. It has no bearing on running sway on top of an existing X11 session.

1ace commented on 2015-08-19 22:58

Does it really depends on xwayland, or is that just to dev from within X?

SirCmpwn commented on 2015-08-16 16:03

Fixed upstream.

karol_007 commented on 2015-08-16 15:33

This config produces errors and sway refused to run, I had to comment out two lines: font and floating_modifier.

SirCmpwn commented on 2015-08-16 14:52

Nevermind, I went ahead and added that upstream myself.

SirCmpwn commented on 2015-08-16 14:40

I don't think that's really the responsibility of the AUR package. Can you open a Github issue upstream to generate a config if none exists?

karol_007 commented on 2015-08-16 14:39

-arch=("i386" "x86_64")
+arch=("i686" "x86_64")

Do you want to ship a basic config for folks who don't run i3?
$ cp ~/.config/i3/config ~/.config/sway/
cp: cannot stat ‘/home/karol/.config/i3/config’: No such file or directory